`sig
type key
val encrypt_cbc :
Cryptmodes_64.T.key ->
int * int * int * int -> string -> (int * int * int * int) * string
val decrypt_cbc :
Cryptmodes_64.T.key ->
int * int * int * int -> string -> (int * int * int * int) * string
val encrypt_cfb8 :
Cryptmodes_64.T.key ->
int * int * int * int -> string -> (int * int * int * int) * string
val decrypt_cfb8 :
Cryptmodes_64.T.key ->
int * int * int * int -> string -> (int * int * int * int) * string
val encrypt_cfb64 :
Cryptmodes_64.T.key ->
int * int * int * int ->
int -> string -> (int * int * int * int) * int * string
val decrypt_cfb64 :
Cryptmodes_64.T.key ->
int * int * int * int ->
int -> string -> (int * int * int * int) * int * string
val crypt_ofb :
Cryptmodes_64.T.key ->
int * int * int * int ->
int -> string -> (int * int * int * int) * int * string
end`